from microbit import *

i = Image("90000:"
          "00000:"
          "00000:"
          "00000:"
          "00000:")

while True:
    if temperature() > 0:
        display.show(i)
        sleep(temperature())
        display.clear()
        sleep(temperature())